summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Timo Gurr <tgurr@exherbo.org> 2017-03-30 17:04:51 +0200
committerAvatar Timo Gurr <tgurr@exherbo.org> 2017-03-30 17:44:07 +0200
commitb028866f89fae942c67790c9d557265378c694bc (patch)
tree5ef1f2436949ab05fd30deaea380609cb8a4e699
parent301728806d4269aa81b3ed68f8d8a6eb0e4dacf6 (diff)
downloadhardware-b028866f89fae942c67790c9d557265378c694bc.tar.gz
hardware-b028866f89fae942c67790c9d557265378c694bc.tar.xz
nvidia-drivers: version bump to 340.102 (legacy release: GeForce 8 and 9)
Change-Id: Idd2869f8e7580f66fb9866422915ad13bcf963a8 Reviewed-on: https://galileo.mailstation.de/gerrit/8746 Reviewed-by: Timo Gurr <tgurr@exherbo.org>
-rw-r--r--packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.102.exheres-0 (renamed from packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.96-r1.exheres-0)0
-rw-r--r--packages/x11-drivers/nvidia-drivers/nvidia-drivers.exlib15
2 files changed, 8 insertions, 7 deletions
diff --git a/packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.96-r1.exheres-0 b/packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.102.exheres-0
index c9a99eb..c9a99eb 100644
--- a/packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.96-r1.exheres-0
+++ b/packages/x11-drivers/nvidia-drivers/nvidia-drivers-340.102.exheres-0
diff --git a/packages/x11-drivers/nvidia-drivers/nvidia-drivers.exlib b/packages/x11-drivers/nvidia-drivers/nvidia-drivers.exlib
index 049be47..172840e 100644
--- a/packages/x11-drivers/nvidia-drivers/nvidia-drivers.exlib
+++ b/packages/x11-drivers/nvidia-drivers/nvidia-drivers.exlib
@@ -45,6 +45,7 @@ DEPENDENCIES="
build:
virtual/pkg-config [[ note = [ used in the exlib below ] ]]
run:
+ dev-libs/ocl-icd [[ note = [ provides OpenCL wrapper library ] ]]
x11-libs/libX11
x11-libs/libXau
x11-libs/libXext
@@ -67,13 +68,6 @@ if ever at_least 364.12; then
"
fi
-if ever at_least 361.28; then
- DEPENDENCIES+="
- run:
- dev-libs/ocl-icd [[ note = [ provides opencl wrapper library ] ]]
- "
-fi
-
if ever at_least 346.16; then
DEPENDENCIES+="
run:
@@ -185,6 +179,13 @@ src_install_256() {
fi
fi
+ # collides with files installed by dev-libs/ocl-icd
+ if ! ever at_least 341.00 ; then
+ edo sed \
+ -e '/libOpenCL.so/d' \
+ -i .manifest
+ fi
+
# parse the .manifest file to figure out where to install stuff
while read line ; do
line=( $line )